/* GLOBAL STYLES */
.eapow-listings-icons {
    font-size: 1em;
    list-style: none;
    display: flex;
    align-items: center;
    padding-left: 3px;
}

.eapow-listings-icons .fa-film {
    font-size: 1.3em;
    top: 4px;
    position: relative;
}

.IconNum {
    font-size: 1.2em !important;
    padding: 0 10px 0 5px;
}

.save-properties {
    width: 40px !important;
    height: 40px !important;
}

.modal {
    backdrop-filter: blur(10px);
}

.eapow-star-items,
.eapow-icons,
.eapow-property-thumbs,
.property-page .eapow-proplistproperty-page .page-header,
.eapow-prop-bottom #starItem,
.featured-prop-listings .eapow-featured-icon,
.gallery-row #eapowfloorplanplug,
.eapow-prop-bottom #eapowgalleryplug,
.properties-to-let .mortgage-calculator-btn,
.properties-to-let .stamp-duty-calculator-btn,
.commercial-properties-to-let .mortgage-calculator-btn,
.commercial-properties-to-let .stamp-duty-calculator-btn,
.properties-for-sale .tenant-fees-btn,
.commercial-properties-for-sale .tenant-fees-btn,
.commercial-properties-to-let .stamp-duty-calculator-btn,
.sold-properties .tenant-fees-btn,
.sold-properties .mortgage-calculator-btn,
.sold-properties .stamp-duty-calculator-btn,
.let-properties .mortgage-calculator-btn,
.let-properties .stamp-duty-calculator-btn {
    display: none !important;
}

.saved-properties-box {
    background-color: var(--cassiopeia-color-primary-btns);
    color: var(--cassiopeia-color-link-btns);
}

.text-label {
    background-color: var(--cassiopeia-color-primary-sbtns);
    color: var(--cassiopeia-color-link-sbtns);
}

/* LATEST PROPERTIES */
.eapow-recentproperties-wrapper,
.eapow-soldproperties-wrapper,
.eapow-popularproperties-wrapper,
.eapow-randomproperties-wrapper,
.eapow-viewedproperties-wrapper,
.eapow-recentproperties-wrapper {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    --gutter-x: 0;
}

.eapow-recentproperties-holder {
    background: var(--white);
    padding: 0;
    display: flex;
    flex: 48%;
    max-width: 48%;
    flex-direction: column;
}

.eapow-recentproperties-holder h3,
.columnProps h3 {
    background-color: var(--cassiopeia-color-primary-thead);
    color: var(--white);
    padding: 10px 15px;
    font-size: 1.2em;
}

.eapow-recentproperties-holder .propPrice,
.propertyContainer .propPrice {
    background-color: var(--cassiopeia-color-primary-topbar);
    color: var(--white);
    padding: 10px 15px;
    font-size: 1em;
    width: 100%;
    display: inline-block;
    margin-top: -10px;
}

.eapow-recentproperties-holder .eapow-listings-icons,
.propertyContainer .eapow-listings-icons,
.eapow-recentproperties-holder .eapow-overview-short-desc,
.propertyContainer .eapow-overview-short-desc,
.eapow-recentproperties-holder .eapow-mod-readmore,
.propertyContainer .eapow-mod-readmore {
    margin: 20px 15px 0 15px;
}

/* FEATURED PROPERTY (HOME) */
.eapow-featuredproperties-holder {
    display: flex;
    flex-direction: row;
    margin-top: 40px;
}

.home .eapow-featuredproperties-holder .eapow-mod-thumb {
    flex: 1 0%;
    margin: 0 !important;
}

.home .eapow-featuredproperties-desc-holder {
    background-color: var(--cassiopeia-color-primary-thead);
    padding: 25px;
}

/*.eapow-featuredproperties-desc-holder{
padding: 2%;
}*/
/* Feat Prop Listings Page */
.featured-prop-listings .card-body,
.eapow-sidebar.card-body,
.eapow-links.card-body {
    padding: 15px;
    margin-bottom: 0 !important;
}

.featured-prop-listings .splide__pagination {
    bottom: -1.25em;
}

.featured-prop-listings .eapow-mod-thumb {
    margin-right: 25px;
}

.featured-prop-listings h3 {
    color: var(--cassiopeia-color-primary-thead);
}

.featured-prop-listings .propPrice {
    color: var(--cassiopeia-color-primary-sbtns);
    font-weight: var(--cassiopeia-font-weight-headings);
}

/* SOLD/RANDOM PROPERTIES/POPULAR/VIEWED */
.eapow-soldproperties-wrapper .eapow-recentproperties-holder,
.eapow-popularproperties-wrapper .eapow-recentproperties-holder {
    flex: 29%;
    max-width: 29%;
}

.eapow-randomproperties-wrapper .eapow-recentproperties-holder {
    background: var(--white);
    flex: 100%;
    max-width: 100%;
}

.eapow-randomproperties-wrapper,
.columnProps #smallProps {
    --gutter-x: 0em;
}

.eapow-popularproperties-wrapper .eapow-recentproperties-holder,
.eapow-recentproperties-holder {
    margin: 0 1% 25px 1%;
}

/* LISTINGS PAGE */
.property-page .container-component {
    margin-top: 50px;
}

.eapow-proplistproperty-page {
    display: flex;
    flex-direction: column;
}

/*.property-page .container-component h1{
flex: 49%;
max-width: 49%;
margin: 0 1% 25px 0;
flex-direction: column;
}*/
/*.property-page .container-sidebar-right, .property-page .container-sidebar-left{
margin-top: 400px;
}*/
.eapow-proplist-exc-map {
    flex: 100%;
    max-width: 100%;
    flex-direction: column;
    margin: 0;
}

.property-listings-map {
    height: 350px;
    z-index: 2;
    margin: 20px 0;
}

.eapow-map-div {
    height: 100% !important;
}

.columnProps .eapow-overview-row {
    background: var(--white);
    padding: 0;
    display: flex;
    flex: 48%;
    max-width: 48%;
    margin: 0 2% 25px 0;
    flex-direction: column;
}

.columnProps .eapow-overview-row .card-body {
    padding: 0 0 15px 0;
}

.columnProps #smallProps {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
}

.propertyContainer,
.eapow-recentproperties-wrapper,
.eapow-soldproperties-wrapper,
.eapow-popularproperties-wrapper,
.eapow-randomproperties-wrapper,
.eapow-viewedproperties-wrapper,
.eapow-recentproperties-wrapper {
    flex-direction: row;
    flex-wrap: wrap;
    margin-right: -3%;
}

.eapow-property-thumbs {
    padding: 15px 0;
}

/* PROPERTY FULL DETAILS PAGE */
/* Css overrides required to accomodate modal display on this template - see below */
.view-property .container-component {
    z-index: 1 !important;
}

.property-page .container-component {
    z-index: 0;
}

.view-property property.item-page {
    z-index: 2;
    position: relative;
}

/* Template full width banner */
.view-property-banner {
    height: 45vh;
    width: 100%;
}

.view-property-header {
    width: 100%;
    position: absolute;
    top: 0;
    z-index: 1;
    height: 80vh;
    background-attachment: fixed !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    background-size: cover !important;
    border-bottom: solid 1px #000;
    filter: blur(5px);
    -webkit-filter: blur(5px);
}

.view-property-header-overlay {
    width: 100%;
    height: 80vh;
    top: 0;
    background-color: var(--black-opacity);
    position: absolute;
    z-index: 2;
}

.view-property .eapow-map-div {
    height: 500px !important;
}

.view-property .eapow-mainheader {
    color: var(--white);
    top: 6vh;
    position: relative;
    z-index: 3;
}

#PropertyRoomsIcons i {
    font-size: 2.2em !important;
    color: var(--cassiopeia-color-primary-btns);
}

.eapow-detail-price {
    font-size: 0.7em;
    color: var(--white);
}

.imageTitle {
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: var(--black-opacity);
    color: var(--white);
    padding: 10px;
}

.videoWrapper {
    position: relative;
    padding-bottom: 56.25%;/\ *16: 9 */ height: 0;
}

.videoWrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#thumbnail-slider {
    margin-top: 8px;
}

.eapow-prop-info,
.eapow-negotiator {
    flex: 100%;
    max-width: 100%;
    margin-bottom: 10px;
}

.eapow-negotiator .col-4,
.eapow-negotiator .col-8,
#eapowfloorplanplug,
.eapow-galleryplug-img>div {
    margin: 0 auto;
}

/* Modal css required to ensure the popups display in conjunction with themes z-index maze */
.view-property .modal-backdrop {
    z-index: 0;
}

.view-property.modal-open #stampDutyModal:after,
.view-property.modal-open #calcModal:after,
.view-property.modal-open #floorplanModal1:after,
.view-property.modal-open #floorplanModal2:after,
.view-property.modal-open #floorplanModal3:after,
.view-property.modal-open #floorplanModal4:after {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: '';
    background: rgba(0, 0, 0, 0.6);
    z-index: -1;
}

/* Tabbed Content*/
ul#eapowMapTabs {
    justify-content: center;
    margin-bottom: 10px !important;
}

ul#eapowDetailsTabs {
    justify-content: center;
    margin-bottom: 25px;
}

ul#eapowMapTabs,
ul#eapowDetailsTabs,
ul#eapowMapTabs+.tab-content,
ul#eapowDetailsTabs+.tab-content {
    background-color: transparent;
    box-shadow: none;
    border: 0;
    padding: 0;
}

ul#eapowMapTabs .nav-link,
ul#eapowDetailsTabs .nav-link {
    background-color: var(--cassiopeia-color-primary-sbtns);
    box-shadow: none;
    color: var(--white);
    margin-right: 7px;
    padding: 0.55em 1em;
}

ul#eapowMapTabs .nav-link:hover,
ul#eapowDetailsTabs .nav-link:hover,
ul#eapowMapTabs .nav-link.active:hover,
ul#eapowDetailsTabs .nav-link.active:hover {
    background-color: var(--cassiopeia-color-text-btns);
    box-shadow: none;
}

ul#eapowMapTabs .nav-link.active,
ul#eapowDetailsTabs .nav-link.active {
    background-color: var(--cassiopeia-color-primary-btns);
    background-image: none;
    box-shadow: none;
    border: 0;
    border-radius: 0;
}

ul#eapowMapTabs .nav-link.active::after,
ul#eapowDetailsTabs .nav-link.active::after {
    display: none;
}

ul#eapowMapTabs .far,
ul#eapowMapTabs .fas,
ul#eapowDetailsTabs .far,
ul#eapowDetailsTabs .fas {
    color: var(--white);
}

#eapowDetailsTabs li {
    margin-bottom: 10px;
}

/*Star Items*/
#starItem {
    list-style: none;
    padding: 0;
    text-align: center;
}

#starItem li {
    font-weight: bold;
    margin: 7px 0;
    padding-left: 40px;
    position: relative;
    display: inline-flex;
}

#starItem li:before {
    content: "\f005";
    font-family: "Font Awesome 6 Free";
    font-size: 1em;
    font-weight: 800;
    top: -2px;
    left: -5px;
    margin-right: 10px;
    position: absolute;
    color: var(--cassiopeia-color-text-btns);
    padding-left: 20px;
}

/*Description*/
.eapow-desc-wrapper {
    padding: 0 0.5rem;
}

.eapow-desc-wrapper p,
.eapowDetailsContent p {
    font-weight: normal;
}

/*Request a viewing*/
.viewing-request-form .card-header {
    display: none;
}

.viewing-request-form .card-body {
    box-shadow: none !important;
}

.viewing-request-form .form-control,
.viewing-request-form .form-select {
    background-color: rgba(0, 0, 0, 0.1);
}

.viewing-request-form label {
    margin-top: 5px;
}

.view-property #eapow-map-canvas,
#eapowpano {
    height: 600px !important;
    width: 100% !important;
}

.eapow-galleryplug-img {
    margin: .45rem !important;
}

/*CUSTOM RIBBON COLOURS */

.eapow-bannertopright svg {
	width: 75px;
	height: 75px;
}

.property-ribbon {
    fill: var(--cassiopeia-color-primary-thead);
}

.property-text {
    fill: white !Important;
}

.ribbon-exchanged {
    fill: var(--red) !important;
}

.exchanged-text {
    fill: white !Important;
}

.ribbon-soldstc,
.ribbon-letstc {
    fill: var(--red) !important;
}

.soldstc-text {
    fill: white !important;
}

@media (max-width: 767.98px) {
    .eapow-proplistproperty-page {
        display: block;
    }

    .eapow-recentproperties-wrapper,
    .columnProps #smallProps {
        flex-direction: column;
    }

    .eapow-recentproperties-holder,
    .columnProps .eapow-overview-row {
        flex: 100% !important;
        max-width: 100% !important;
        margin: 0 0 25px 0;
    }

    .view-property main {
        padding: 0;
    }

    #PropertyRoomsIcons i {
        font-size: 1.6em !important;
    }

    #starItem li {
        margin: 0;
        padding-left: 0;
        display: block;
    }

    #starItem li:before,
    .offcanvas .search-toggle {
        display: none;
    }

    #divLocations label,
    .location-label {
        font-size: 0.85em !important;
    }
}

@media (max-width: 1024px) {
    .eapow-featuredproperties-holder {
        flex-direction: column;
        margin-top: 10px;
    }

    .eapow-featuredproperties-desc-holder {
        max-height: 100%;
        margin: unset;
    }

    .featured-prop-listings .eapow-mod-thumb,
    .propertyContainer,
    .eapow-recentproperties-wrapper,
    .eapow-soldproperties-wrapper,
    .eapow-popularproperties-wrapper,
    .eapow-randomproperties-wrapper,
    .eapow-viewedproperties-wrapper,
    .eapow-recentproperties-wrapper {
        margin-right: 0;
    }

    .eapow-featuredproperties-desc-holder h3 {
        font-size: 1.3em;
    }

    .IconNum {
        padding: 0 7px 0 6px;
    }

    .view-property .eapow-mainheader {
        top: 15vh;
    }

    .eapow-prop-info,
    .eapow-negotiator {
        flex: 100%;
        max-width: 100%;
        margin-bottom: 20px;
    }

    .eapow-negotiator .col-4,
    .eapow-negotiator .col-8 {
        width: 100% !important;
    }
}

@media (min-width: 979px) and (max-width: 1024px) {

    .eapow-randomproperties-wrapper .propertyIcons,
    .eapow-randomproperties-wrapper .eapow-overview-short-desc,
    .eapow-randomproperties-wrapper .eapow-recentproperties-readmore {
        display: none;
    }

    .eapow-randomproperties-wrapper .eapow-recentproperties-desc-holder p {
        margin-bottom: 0;
    }
}

@media (min-width: 1200px) {
    .home .eapow-featuredproperties-desc-holder {
        /*padding: 50px 50px;*/
        display: flex;
        flex-direction: column;
        justify-content: center;
        margin: 0;
        z-index: 0;
        max-height: 100%;
    }

    .featured-prop .eapow-property-thumb-holder {
        padding-bottom: 72%;
    }

    .eapow-recentproperties-holder {
        flex: 44%;
        max-width: 44%;
    }

    .property-page-search {
        width: 62.5%;
        margin: -27px 0 0 -35px !important;
    }

    .search-open {
    	top: 20px;
    }

    /* I have commented this out to resolve the layout issue on noresults page
.eapow-proplistproperty-page{
flex-direction: row;
}*/
    .eapow-proplist-exc-map {
        flex: 57%;
        max-width: 57%;
    }

    .property-listings-map {
        position: fixed;
        top: 0;
        right: 20px;
        width: 39% !important;
        height: 100%;
        margin-top: 0;
    }

    .view-property .eapow-mainheader {
        top: 15vh;
    }
}

@media (min-width: 1600px) {
    .home .eapow-featuredproperties-desc-holder {
        padding: 80px 80px;
        margin: 1.5% 0 0 0;
        max-height: 90%;
    }

    .eapow-recentproperties-holder {
        flex: 22%;
        max-width: 22%;
    }

    .view-property.eapow-mainheader {
        top: 15vh;
    }

    .columnProps .eapow-overview-row {
        flex: 31%;
        max-width: 31%;
    }
}

@media (min-width: 1900px) {
    .home .eapow-featuredproperties-desc-holder {
        padding: 150px 150px;
        margin: 2.5% 0 0 0;
        max-height: 80%;
    }
}